PETSc version 3.17.4
Fix/Edit manual page

# TSDiscGradGetFormulation

Get the construction method for S, F, and grad F from the formulation u_t = S grad F

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSDiscGradGetFormulation(TS ts, PetscErrorCode (**Sfunc)(TS, PetscReal, Vec, Mat, void *), PetscErrorCode (**Ffunc)(TS, PetscReal, Vec, PetscScalar *, void *), PetscErrorCode (**Gfunc)(TS, PetscReal, Vec, Vec, void *), void *ctx)

Not Collective

### Input Parameter

| ts | - timestepping context

### Output Parameters

| Sfunc | - constructor for the S matrix from the formulation
| Ffunc | - functional F from the formulation
| Gfunc | - constructor for the gradient of F from the formulation
| ctx | - the user context

### Calling sequence of Sfunc

    PetscErrorCode func(TS ts, PetscReal time, Vec u, Mat S, void *)

### Calling sequence of Ffunc

    PetscErrorCode func(TS ts, PetscReal time, Vec u, PetscScalar *F, void *)

### Calling sequence of Gfunc

    PetscErrorCode func(TS ts, PetscReal time, Vec u, Vec G, void *)

### See Also

TSDiscGradSetFormulation()

### Level

intermediate

### Location

src/ts/impls/implicit/discgrad/tsdiscgrad.c

### Implementations

TSDiscGradGetFormulation_DiscGrad(TS ts, PetscErrorCode (**Sfunc)(TS, PetscReal, Vec, Mat, void *), PetscErrorCode (**Ffunc)(TS, PetscReal, Vec, PetscScalar *, void *), PetscErrorCode (**Gfunc) in src/ts/impls/implicit/discgrad/tsdiscgrad.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages